#Module-Specific definitions
%define mod_version 3.0.1
%define release 2mdk
%define mod_name mod_mya
%define mod_conf 80_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildRequires:  ADVX-build >= 1.2
BuildRequires:  %{ap_name}-devel >= 2.0.44-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_mya is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{mod_name}-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	GPL
URL:		http://www.synthemesc.com/mod_mya/
Prereq:		rpm-helper
Requires:	libmysql12
Requires:	zlib
BuildRequires:	libmysql12-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_mya is an Apache Web Server module allowing basic
authentication data to be stored in a MySQL database thus
deprecating file based configuration.
 
%prep

%setup -q -n %{mod_name}-%{mod_version}
perl -pi -e "s/my_connect/mya_connect/g;" *.c


%build
%{apxs} -DHAVE_STDDEF_H -I%{_includedir}/mysql -L%{_libdir} -Wl,-lmysqlclient -c mod_mya.c
    
%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc AUTHORS README TODO
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_3.0.1-2mdk
- recompile with libmysql12

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_3.0.1-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.1-1mdk
- initial cooker contrib
- used the apache2-mod_vdbh.spec file as template
